Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QAbstractItemView.State

    java.lang.Object
      java.lang.Enum<QAbstractItemView.State>
          com.trolltech.qt.gui.QAbstractItemView.State

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QAbstractItemView.State>

Enclosing class:
  QAbstractItemView

    public static enum QAbstractItemView.State

extends java.lang.Enum<QAbstractItemView.State>
implements QtEnumerator

Describes the different states the view can be in. This is usually only interesting when reimplementing your own view.

Enum Constant Summary
`AnimatingState` The item view is performing an animation.
`CollapsingState` The user is closing a branch of items.
`DraggingState` The user is dragging items.
`DragSelectingState` The user is selecting items.
`EditingState` The user is editing an item in a widget editor.
`ExpandingState` The user is opening a branch of items.
`NoState` The is the default state.

Method Summary
`static QAbstractItemView.State` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractItemView.State` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QAbstractItemView.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoState

    public static final QAbstractItemView.State NoState

  The is the default state.

### DraggingState

    public static final QAbstractItemView.State DraggingState

  The user is dragging items.

### DragSelectingState

    public static final QAbstractItemView.State DragSelectingState

  The user is selecting items.

### EditingState

    public static final QAbstractItemView.State EditingState

  The user is editing an item in a widget editor.

### ExpandingState

    public static final QAbstractItemView.State ExpandingState

  The user is opening a branch of items.

### CollapsingState

    public static final QAbstractItemView.State CollapsingState

  The user is closing a branch of items.

### AnimatingState

    public static final QAbstractItemView.State AnimatingState

  The item view is performing an animation.

Method Detail

### values

    public static final QAbstractItemView.State[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QAbstractItemView.State c : QAbstractItemView.State.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QAbstractItemView.State valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractItemView.State resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD